Bug 1483197 - [abrt] kf5-kded: qt_message_fatal(): kded5 killed by signal 6
Summary: [abrt] kf5-kded: qt_message_fatal(): kded5 killed by signal 6
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kded
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0e9ec9e297d61242704d9255a84...
Keywords:
Depends On: 1370222
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-19 02:57 UTC by w-495
Modified: 2018-05-29 11:37 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:37:44 UTC


Attachments (Terms of Use)
File: backtrace (20.45 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: cgroup (321 bytes, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: core_backtrace (4.24 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: cpuinfo (958 bytes, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: dso_list (8.39 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: environ (1.71 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: maps (37.62 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: open_fds (186 bytes, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: proc_pid_status (1.25 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details
File: var_log_messages (4.70 KB, text/plain)
2017-08-19 02:58 UTC, w-495
no flags Details

Description w-495 2017-08-19 02:57:58 UTC
Description of problem:
May be switching like: {Plasma} -> {SDDM} -> {LxQT}. All via UI.

Version-Release number of selected component:
kf5-kded-5.36.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/kded5
crash_function: qt_message_fatal
executable:     /usr/bin/kded5
journald_cursor: s=fd356f05d3e04faaa0cfb6a0f51e79d8;i=186ee;b=06512e7007fb42e9b3dff9419bccbaf9;m=7787661b;t=556fa3edc512f;x=41c99818f7256167
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1682
 #3 QMessageLogger::fatal at global/qlogging.cpp:793
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:595
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:186
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:56
 #7 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:71
 #8 init_platform at kernel/qguiapplication.cpp:1094
 #9 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1257
 #10 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1274
 #11 QCoreApplicationPrivate::init at kernel/qcoreapplication.cpp:787

Potential duplicate: bug 1383757

Comment 1 w-495 2017-08-19 02:58:06 UTC
Created attachment 1315603 [details]
File: backtrace

Comment 2 w-495 2017-08-19 02:58:08 UTC
Created attachment 1315604 [details]
File: cgroup

Comment 3 w-495 2017-08-19 02:58:09 UTC
Created attachment 1315605 [details]
File: core_backtrace

Comment 4 w-495 2017-08-19 02:58:11 UTC
Created attachment 1315606 [details]
File: cpuinfo

Comment 5 w-495 2017-08-19 02:58:13 UTC
Created attachment 1315607 [details]
File: dso_list

Comment 6 w-495 2017-08-19 02:58:14 UTC
Created attachment 1315608 [details]
File: environ

Comment 7 w-495 2017-08-19 02:58:16 UTC
Created attachment 1315609 [details]
File: limits

Comment 8 w-495 2017-08-19 02:58:19 UTC
Created attachment 1315610 [details]
File: maps

Comment 9 w-495 2017-08-19 02:58:20 UTC
Created attachment 1315611 [details]
File: open_fds

Comment 10 w-495 2017-08-19 02:58:22 UTC
Created attachment 1315612 [details]
File: proc_pid_status

Comment 11 w-495 2017-08-19 02:58:24 UTC
Created attachment 1315613 [details]
File: var_log_messages

Comment 12 Rex Dieter 2017-08-20 13:58:35 UTC
From backtrace:

#3  QMessageLogger::fatal (this=this@entry=0x7ffc4a8d8460, msg=msg@entry=0x7f98fdd767c8 "QXcbConnection: Could not connect to display %s") at global/qlogging.cpp:793


Likely related to bug #1370222

Comment 13 Fedora End Of Life 2018-05-03 08:13:30 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:37:44 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.